///////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1999, Tres Seaver, Palladion Software. All rights reserved.
//  Orignal DUnit Copyright (C) 1999 Juancarlo Aez.
//  Original Java framework Copyright (C) 1999 by Kent Beck and Erich Gamma.
// 
//  LICENSE
//
//  Permission to reproduce and create derivative works from the
//  Software ("Software Derivative Works") is hereby granted to you
//  under the copyrights of Kent Beck, Erich Gamma, Juancarlo Aez,
//  and Tres Seaver (THE AUTHORS).  The authors also grant you the right
//  to distribute the Software and Software Derivative Works. 
//
//  The authors license the Software to you on an "AS IS" basis, without
//  warranty of any kind.  THE AUTHORS HEREBY EXPRESSLY DISCLAIMS ALL
//  WARRANTIES OR CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT
//  NOT LIMITED TO, THE IMPLIED WARRANTIES OR CONDITIONS OF
//  MERCHANTABILITY, NON INFRINGEMENT AND FITNESS FOR A PARTICULAR
//  PURPOSE.  You are solely responsible for determining the
//  appropriateness of using the Software and assume all risks
//  associated with the use and distribution of this Software, including
//  but not limited to the risks of program errors, damage to or loss of
//  data, programs or equipment, and unavailability or interruption of
//  operations.  THE AUTHORS WILL NOT BE LIABLE FOR ANY DIRECT DAMAGES
//  OR FOR ANY SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OR FOR ANY
//  ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS),
//  EVEN IF THE AUTHORS HAD BEEN ADVISED OF THE POSSIBILITY OF SUCH
//  DAMAGE.  The authors will not be liable for the loss of, or damage
//  to, your records or data, or any damages claimed by you based on a
//  third party claim.  
//
//  You agree to distribute the Software and any Software Derivatives
//  under a license agreement that: 1) is sufficient to notify all
//  licensees of the Software and Software Derivatives that the authors
//  assume no liability for any claim that may arise regarding the
//  Software or Software Derivatives, and 2) that disclaims all
//  warranties, both express and implied, from the authors regarding the
//  Software and Software Derivatives.  (If you include this Agreement
//  with any distribution of the Software and Software Derivatives you
//  will have meet this requirement).  You agree that you will not
//  delete any copyright notices in the Software. 
//
//  This Agreement is the exclusive statement of your rights in the
//  Software as provided by the authors.  Except for the licenses
//  granted to you in the second paragraph above, no other licenses are
//  granted hereunder, by estoppel, implication or otherwise.   
//
///////////////////////////////////////////////////////////////////////////////
program Test_DUnit_PEM;                                                        
//==============================================================================
//  Program:    Test_DUnit_PEM
//
//  Purpose:
//
//  Demonstrate use of DUnit_PEM components: TTestResults/TTestCase/TTestSuite.
//==============================================================================

uses
  Forms,
  fmMain in 'fmMain.pas' {frmMain};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TfrmMain, frmMain);
  Application.Run;
end.
